.PHONY: devp/releaser/init
devp/releaser/init: ${DEVP_DEVPTOOL_EXE}
	@# Initialize configs for binreleaser
	$(Q) ${DEVP_DEVPTOOL_EXE} golang release init

.PHONY: devp/releaser/publish
devp/releaser/publish: ${DEVP_DEVPTOOL_EXE}
	@# Build and publishes release artifacts
	$(Q) ${DEVP_DEVPTOOL_EXE} golang release publish --dry-run=false --is-latest=false

.PHONY: devp/releaser/publish/latest
devp/releaser/publish/latest: ${DEVP_DEVPTOOL_EXE}
	@# Build and publishes release artifacts
	$(Q) ${DEVP_DEVPTOOL_EXE} golang release publish --dry-run=false --is-latest=true

.PHONY: devp/releaser/publish/dry-run
devp/releaser/publish/dry-run: ${DEVP_DEVPTOOL_EXE}
	@# Validation only, nothing is built and published
	$(Q) ${DEVP_DEVPTOOL_EXE} golang release publish --dry-run=true --is-latest=false

.PHONY: devp/releaser/build
devp/releaser/build: ${DEVP_DEVPTOOL_EXE}
	@# Build only. Skip publish and release artifacts
	$(Q) ${DEVP_DEVPTOOL_EXE} golang release build

